
Redmine - Defect #4270

CVS Repository view in Project doesn't show Author, Revision, Comment

2009-11-23 15:29 - Justin Hitt

Status: Closed Start date: 2009-11-23

Priority: Low Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 0.8.6

Description

In repository view under a CVS project, listing doesn't show Size, Author, Revision, or Comment like same screen shows under SVN

project.  Information is provided in cvs -q -n rlog {MODULE_NAME} command.

CVS 1.12.12 (client/server)

Redmine 0.8.6

Apache 2.2.13

ImageMagick 6.5.2-9

MySQL 5.1.30

Subversion 1.6.2

Ruby 1.8.7-p160

Rails 2.3.2

RubyGems 1.3.4

 Same results whether working from a branch or HEAD revision, posting even just last changes to file would improve visibility to

changes.  But ideally Revision would note :{VERSION} (Ps. Great resource, Wish I had someone who could fix this for you, but only

Html/Php folks here.)

Associated revisions

Revision 5093 - 2011-03-11 13:06 - Toshi MARUYAMA

scm: cvs: fix missing author, revision and comment in tree view (#4270).

History

#1 - 2009-11-29 22:42 - Justin Hitt

When defining CVS repository, using local path (my CVS repo is on Redmine server) and path of module rather than module name, then more of

desired information is provided in Repository view.  Information returned is flat (meaning all files in repository are shown, including deleted files) and

doesn't consider branches.

#2 - 2010-07-23 21:33 - Justin Hitt

- Status changed from New to Resolved

- % Done changed from 0 to 100

Turns out, Repository tab doesn't know about CVS Branches and using them causes odd source browsing in Redmine.  Just not using branches

solves issue.

#3 - 2010-07-23 22:44 - Felix Schäfer

- Status changed from Resolved to Closed

#4 - 2011-03-11 09:08 - Toshi MARUYAMA

- Subject changed from CVS Repository view in Project doesn't show Size, Author, Revision, Comment to CVS Repository view in Project doesn't

show Author, Revision, Comment

- Status changed from Closed to Reopened

Redmine CVS model has this feature in code, but there is a bug.

I will fix.

#5 - 2011-03-11 11:47 - Toshi MARUYAMA
http://cvsbook.red-bean.com/cvsbook.html#Branches


- Assignee set to Toshi MARUYAMA

#6 - 2011-03-11 11:47 - Toshi MARUYAMA

- % Done changed from 100 to 0

#7 - 2011-03-11 13:07 - Toshi MARUYAMA

- File before.png added

- File after.png added

- Status changed from Reopened to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed by r5093.

Before

 

After

 

Files

before.png 17.2 KB 2011-03-11 Toshi MARUYAMA

after.png 19.3 KB 2011-03-11 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/5093
http://www.tcpdf.org

